%define name a2ps
%define version 4.12
%define release 2mdk

Summary: Converts text and other types of files to PostScript(TM).
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Publishing
Source: %{name}-%{version}.tar.bz2 
Prereq: /sbin/install-info
Url: http://www.inf.enst.fr/~demaille/a2ps/
BuildRoot: /var/tmp/%{name}-buildroot

%description
The a2ps filter converts text and other types of files to PostScript(TM).
A2ps has pretty-printing capabilities and includes support for a wide
number of programming languages, encodings (ISO Latins, Cyrillic, etc.),
and medias.

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" \
./configure \
	--prefix=/usr \
	-sysconfdir=/etc
make

%install
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

#{ pushd $RPM_BUILD_ROOT
#  #rm ./usr/info/dir
#  gzip -9nf ./usr/info/*
#  popd
#}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info /usr/info/a2ps.info /usr/info/dir
/sbin/install-info /usr/info/ogonkify.info /usr/info/dir
/sbin/install-info /usr/info/regex.info /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/a2ps.info /usr/info/dir
   /sbin/install-info --delete /usr/info/ogonkify.info /usr/info/dir
   /sbin/install-info --delete /usr/info/regex.info /usr/info/dir
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config /etc/a2ps.cfg
%config(noreplace) /etc/a2ps-site.cfg
%doc AUTHORS ChangeLog COPYING NEWS README TODO THANKS
/usr/bin/*
/usr/lib/*
/usr/include/*
/usr/info/a2ps.info*
/usr/info/ogonkify.info*
/usr/info/regex.info*
/usr/man/man1/*
/usr/share/a2ps/
/usr/share/ogonkify/
/usr/share/emacs/site-lisp/a2ps-print.el
/usr/share/emacs/site-lisp/make-regexp.el
/usr/share/emacs/site-lisp/a2ps.el
/usr/share/locale/*/LC_MESSAGES/a2ps.mo



%changelog
* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.12-2mdk
- fix group
- bz2 info pages
- fix permission on sources

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v4.12
- build for mandrake

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- fixed problems with missing dirs as reported in bug 3822
- built for powertools

* Tue Jul 6 1999 Tim Powers <timp@redhat.com>
- rebuilt for powertools 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- add a2ps-site.cfg

* Mon Apr 26 1999 Preston Brown <pbrown@redhat.com>
- update to 4.12 for Powertools 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- narrower range of %files splats.
- install info correctly.
- new description/summary text.

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated source

* Sat Jul 04 1998 Michael Maher <mike@redhat.com>
- built package
